# Form implementation generated from reading ui file 'src/eric7/Project/DebuggerPropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_DebuggerPropertiesDialog(object):
    def setupUi(self, DebuggerPropertiesDialog):
        DebuggerPropertiesDialog.setObjectName("DebuggerPropertiesDialog")
        DebuggerPropertiesDialog.resize(592, 671)
        DebuggerPropertiesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(DebuggerPropertiesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.debugClientGroup = QtWidgets.QGroupBox(parent=DebuggerPropertiesDialog)
        self.debugClientGroup.setObjectName("debugClientGroup")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.debugClientGroup)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.debugClientPicker = EricComboPathPicker(parent=self.debugClientGroup)
        self.debugClientPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.debugClientPicker.setObjectName("debugClientPicker")
        self.horizontalLayout.addWidget(self.debugClientPicker)
        self.debugClientClearHistoryButton = QtWidgets.QToolButton(parent=self.debugClientGroup)
        self.debugClientClearHistoryButton.setObjectName("debugClientClearHistoryButton")
        self.horizontalLayout.addWidget(self.debugClientClearHistoryButton)
        self.verticalLayout.addWidget(self.debugClientGroup)
        self.venvGroupBox = QtWidgets.QGroupBox(parent=DebuggerPropertiesDialog)
        self.venvGroupBox.setObjectName("venvGroupBox")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.venvGroupBox)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.venvComboBox = QtWidgets.QComboBox(parent=self.venvGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.venvComboBox.sizePolicy().hasHeightForWidth())
        self.venvComboBox.setSizePolicy(sizePolicy)
        self.venvComboBox.setObjectName("venvComboBox")
        self.horizontalLayout_2.addWidget(self.venvComboBox)
        self.verticalLayout.addWidget(self.venvGroupBox)
        self.remoteDebuggerGroup = QtWidgets.QGroupBox(parent=DebuggerPropertiesDialog)
        self.remoteDebuggerGroup.setCheckable(True)
        self.remoteDebuggerGroup.setObjectName("remoteDebuggerGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.remoteDebuggerGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.hostLabel = QtWidgets.QLabel(parent=self.remoteDebuggerGroup)
        self.hostLabel.setObjectName("hostLabel")
        self.gridLayout.addWidget(self.hostLabel, 0, 0, 1, 1)
        self.remoteHostEdit = QtWidgets.QLineEdit(parent=self.remoteDebuggerGroup)
        self.remoteHostEdit.setObjectName("remoteHostEdit")
        self.gridLayout.addWidget(self.remoteHostEdit, 0, 1, 1, 1)
        self.execLabel = QtWidgets.QLabel(parent=self.remoteDebuggerGroup)
        self.execLabel.setObjectName("execLabel")
        self.gridLayout.addWidget(self.execLabel, 1, 0, 1, 1)
        self.remoteCommandEdit = QtWidgets.QLineEdit(parent=self.remoteDebuggerGroup)
        self.remoteCommandEdit.setObjectName("remoteCommandEdit")
        self.gridLayout.addWidget(self.remoteCommandEdit, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=self.remoteDebuggerGroup)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 2, 0, 1, 1)
        self.remoteDebugClientEdit = QtWidgets.QLineEdit(parent=self.remoteDebuggerGroup)
        self.remoteDebugClientEdit.setClearButtonEnabled(True)
        self.remoteDebugClientEdit.setObjectName("remoteDebugClientEdit")
        self.gridLayout.addWidget(self.remoteDebugClientEdit, 2, 1, 1, 1)
        self.pathTranslationGroup = QtWidgets.QGroupBox(parent=self.remoteDebuggerGroup)
        self.pathTranslationGroup.setCheckable(True)
        self.pathTranslationGroup.setObjectName("pathTranslationGroup")
        self.gridlayout = QtWidgets.QGridLayout(self.pathTranslationGroup)
        self.gridlayout.setObjectName("gridlayout")
        self.textLabel2_9 = QtWidgets.QLabel(parent=self.pathTranslationGroup)
        self.textLabel2_9.setObjectName("textLabel2_9")
        self.gridlayout.addWidget(self.textLabel2_9, 1, 0, 1, 1)
        self.translationLocalEdit = QtWidgets.QLineEdit(parent=self.pathTranslationGroup)
        self.translationLocalEdit.setObjectName("translationLocalEdit")
        self.gridlayout.addWidget(self.translationLocalEdit, 1, 1, 1, 1)
        self.translationRemoteEdit = QtWidgets.QLineEdit(parent=self.pathTranslationGroup)
        self.translationRemoteEdit.setObjectName("translationRemoteEdit")
        self.gridlayout.addWidget(self.translationRemoteEdit, 0, 1, 1, 1)
        self.textLabel1_18 = QtWidgets.QLabel(parent=self.pathTranslationGroup)
        self.textLabel1_18.setObjectName("textLabel1_18")
        self.gridlayout.addWidget(self.textLabel1_18, 0, 0, 1, 1)
        self.gridLayout.addWidget(self.pathTranslationGroup, 3, 0, 1, 2)
        self.verticalLayout.addWidget(self.remoteDebuggerGroup)
        self.consoleDebuggerGroup = QtWidgets.QGroupBox(parent=DebuggerPropertiesDialog)
        self.consoleDebuggerGroup.setCheckable(True)
        self.consoleDebuggerGroup.setObjectName("consoleDebuggerGroup")
        self._3 = QtWidgets.QHBoxLayout(self.consoleDebuggerGroup)
        self._3.setObjectName("_3")
        self.textLabel1_17 = QtWidgets.QLabel(parent=self.consoleDebuggerGroup)
        self.textLabel1_17.setObjectName("textLabel1_17")
        self._3.addWidget(self.textLabel1_17)
        self.consoleCommandEdit = QtWidgets.QLineEdit(parent=self.consoleDebuggerGroup)
        self.consoleCommandEdit.setObjectName("consoleCommandEdit")
        self._3.addWidget(self.consoleCommandEdit)
        self.verticalLayout.addWidget(self.consoleDebuggerGroup)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=DebuggerPropertiesDialog)
        self.groupBox_3.setObjectName("groupBox_3")
        self._6 = QtWidgets.QGridLayout(self.groupBox_3)
        self._6.setObjectName("_6")
        self.debugEnvironmentOverrideCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.debugEnvironmentOverrideCheckBox.setObjectName("debugEnvironmentOverrideCheckBox")
        self._6.addWidget(self.debugEnvironmentOverrideCheckBox, 0, 0, 1, 2)
        self.debugEnvironmentEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.debugEnvironmentEdit.setObjectName("debugEnvironmentEdit")
        self._6.addWidget(self.debugEnvironmentEdit, 1, 1, 1, 1)
        self.textLabel1_16 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.textLabel1_16.setObjectName("textLabel1_16")
        self._6.addWidget(self.textLabel1_16, 1, 0, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_3)
        self.redirectCheckBox = QtWidgets.QCheckBox(parent=DebuggerPropertiesDialog)
        self.redirectCheckBox.setObjectName("redirectCheckBox")
        self.verticalLayout.addWidget(self.redirectCheckBox)
        self.noEncodingCheckBox = QtWidgets.QCheckBox(parent=DebuggerPropertiesDialog)
        self.noEncodingCheckBox.setObjectName("noEncodingCheckBox")
        self.verticalLayout.addWidget(self.noEncodingCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=DebuggerPropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(DebuggerPropertiesDialog)
        self.buttonBox.accepted.connect(DebuggerPropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(DebuggerPropertiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(DebuggerPropertiesDialog)
        DebuggerPropertiesDialog.setTabOrder(self.debugClientPicker, self.debugClientClearHistoryButton)
        DebuggerPropertiesDialog.setTabOrder(self.debugClientClearHistoryButton, self.venvComboBox)
        DebuggerPropertiesDialog.setTabOrder(self.venvComboBox, self.remoteDebuggerGroup)
        DebuggerPropertiesDialog.setTabOrder(self.remoteDebuggerGroup, self.remoteHostEdit)
        DebuggerPropertiesDialog.setTabOrder(self.remoteHostEdit, self.remoteCommandEdit)
        DebuggerPropertiesDialog.setTabOrder(self.remoteCommandEdit, self.remoteDebugClientEdit)
        DebuggerPropertiesDialog.setTabOrder(self.remoteDebugClientEdit, self.pathTranslationGroup)
        DebuggerPropertiesDialog.setTabOrder(self.pathTranslationGroup, self.translationRemoteEdit)
        DebuggerPropertiesDialog.setTabOrder(self.translationRemoteEdit, self.translationLocalEdit)
        DebuggerPropertiesDialog.setTabOrder(self.translationLocalEdit, self.consoleDebuggerGroup)
        DebuggerPropertiesDialog.setTabOrder(self.consoleDebuggerGroup, self.consoleCommandEdit)
        DebuggerPropertiesDialog.setTabOrder(self.consoleCommandEdit, self.debugEnvironmentOverrideCheckBox)
        DebuggerPropertiesDialog.setTabOrder(self.debugEnvironmentOverrideCheckBox, self.debugEnvironmentEdit)
        DebuggerPropertiesDialog.setTabOrder(self.debugEnvironmentEdit, self.redirectCheckBox)
        DebuggerPropertiesDialog.setTabOrder(self.redirectCheckBox, self.noEncodingCheckBox)

    def retranslateUi(self, DebuggerPropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        DebuggerPropertiesDialog.setWindowTitle(_translate("DebuggerPropertiesDialog", "Debugger Properties"))
        self.debugClientGroup.setTitle(_translate("DebuggerPropertiesDialog", "Debug Client"))
        self.debugClientPicker.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the path of the Debug Client to be used.  Leave empty to use the default."))
        self.debugClientClearHistoryButton.setToolTip(_translate("DebuggerPropertiesDialog", "Press to clear the history of entered debug clients"))
        self.venvGroupBox.setTitle(_translate("DebuggerPropertiesDialog", "Virtual Environment"))
        self.venvComboBox.setToolTip(_translate("DebuggerPropertiesDialog", "Select the virtual environment to be used"))
        self.remoteDebuggerGroup.setToolTip(_translate("DebuggerPropertiesDialog", "Select, if the debugger should be run remotely"))
        self.remoteDebuggerGroup.setTitle(_translate("DebuggerPropertiesDialog", "Remote Debugger"))
        self.hostLabel.setText(_translate("DebuggerPropertiesDialog", "Remote Host:"))
        self.remoteHostEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the hostname of the remote machine."))
        self.remoteHostEdit.setWhatsThis(_translate("DebuggerPropertiesDialog", "<b>Remote Host</b>\n"
"<p>Enter the hostname of the remote machine.</p>"))
        self.execLabel.setText(_translate("DebuggerPropertiesDialog", "Remote Execution:"))
        self.remoteCommandEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the remote execution command."))
        self.remoteCommandEdit.setWhatsThis(_translate("DebuggerPropertiesDialog", "<b>Remote Execution</b>\n"
"<p>Enter the remote execution command (e.g. ssh). This command is used to log into the remote host and execute the remote debugger.</p>"))
        self.label.setText(_translate("DebuggerPropertiesDialog", "Remote Debug Client:"))
        self.remoteDebugClientEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the absolute path of the debug client of the remote host."))
        self.pathTranslationGroup.setToolTip(_translate("DebuggerPropertiesDialog", "Select, if path translation for remote debugging should be done"))
        self.pathTranslationGroup.setTitle(_translate("DebuggerPropertiesDialog", "Perform Path Translation"))
        self.textLabel2_9.setText(_translate("DebuggerPropertiesDialog", "Local Path:"))
        self.translationLocalEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the local path"))
        self.translationRemoteEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the remote path"))
        self.textLabel1_18.setText(_translate("DebuggerPropertiesDialog", "Remote Path:"))
        self.consoleDebuggerGroup.setToolTip(_translate("DebuggerPropertiesDialog", "Select, if the debugger should be executed in a console window"))
        self.consoleDebuggerGroup.setTitle(_translate("DebuggerPropertiesDialog", "Console Debugger"))
        self.textLabel1_17.setText(_translate("DebuggerPropertiesDialog", "Console Command:"))
        self.consoleCommandEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the console command (e.g. xterm -e)"))
        self.consoleCommandEdit.setWhatsThis(_translate("DebuggerPropertiesDialog", "<b>Console Command</b>\n"
"<p>Enter the console command (e.g. xterm -e). This command is used to open a command window for the debugger.</p>"))
        self.groupBox_3.setTitle(_translate("DebuggerPropertiesDialog", "Environment Variables for Debug Client"))
        self.debugEnvironmentOverrideCheckBox.setToolTip(_translate("DebuggerPropertiesDialog", "Select, if the environment of the debug client should be replaced"))
        self.debugEnvironmentOverrideCheckBox.setText(_translate("DebuggerPropertiesDialog", "Replace Environment Variables"))
        self.debugEnvironmentEdit.setToolTip(_translate("DebuggerPropertiesDialog", "Enter the environment variables to be set."))
        self.debugEnvironmentEdit.setWhatsThis(_translate("DebuggerPropertiesDialog", "<b>Environment Variables</b>\n"
"<p>Enter the environment variables to be set for the debugger. The individual settings must be separated by whitespace and be given in the form \'var=value\'.</p>\n"
"<p>Example: var1=1 var2=\"hello world\"</p>"))
        self.textLabel1_16.setText(_translate("DebuggerPropertiesDialog", "Environment Variables:"))
        self.redirectCheckBox.setToolTip(_translate("DebuggerPropertiesDialog", "Select to redirect stdin, stdout and stderr of the program being debugged to the eric IDE"))
        self.redirectCheckBox.setText(_translate("DebuggerPropertiesDialog", "Redirect stdin/stdout/stderr"))
        self.noEncodingCheckBox.setToolTip(_translate("DebuggerPropertiesDialog", "Select to not set the debug client encoding"))
        self.noEncodingCheckBox.setText(_translate("DebuggerPropertiesDialog", "Don\'t set the encoding of the debug client"))
from eric7.EricWidgets.EricPathPicker import EricComboPathPicker
